Hamlib

Post Reply
Sterophonick
Posts: 11
Joined: Sat Mar 03, 2018 6:38 pm

Hamlib

Post by Sterophonick » Tue May 22, 2018 10:23 pm

Is the HAMLib compatible with devkitARM?

WinterMute
Site Admin
Posts: 1336
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: Hamlib

Post by WinterMute » Wed May 23, 2018 4:05 pm

I'm afraid not. Sorry.
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

Sterophonick
Posts: 11
Joined: Sat Mar 03, 2018 6:38 pm

Re: Hamlib

Post by Sterophonick » Wed May 23, 2018 8:45 pm

Ok. Thanks for letting me know.

P.S. I heard that there was a "change-eabi.zip" file on this website, but I can't find it anywhere. Do you maybe have it?

WinterMute
Site Admin
Posts: 1336
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: Hamlib

Post by WinterMute » Sun Jun 17, 2018 2:18 am

The tools to change eabi were a short lived bodge to allow linking with gp32 sdk libs at the time.

The only sane way to get devkitARM compatible libraries now is to recompile. Simply changing EABI markings will allow things to link but won't magically update the ABI used and will leave you with mysterious crashes.
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest